# Class Bbox

java.lang.Object
uk.ac.starlink.tfcat.Bbox

public class Bbox extends Object
Represents a TFCat bbox (bounding box) structure.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Bbox(double tmin, double smin, double tmax, double smax)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getSpectralMax()`
Returns the maximum spectral value.
`double`
`getSpectralMin()`
Returns the minimum spectral value.
`double`
`getTimeMax()`
Returns the maximum time value.
`double`
`getTimeMin()`
Returns the minimum time value.
`boolean`
`isInside(Position pos)`
Indicates whether a given position is within this bounding box.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Bbox

public Bbox(double tmin, double smin, double tmax, double smax)
Constructor.

Parameters:
  `tmin` - minimum time value
  `smin` - minimum spectral value
  `tmax` - maximum time value
  `smax` - maximum spectral value

## Method Details

### getTimeMin

public double getTimeMin()
Returns the minimum time value.

Returns:
  minimum value for the time coordinate

### getSpectralMin

public double getSpectralMin()
Returns the minimum spectral value.

Returns:
  minimum value for the spectral coordinate

### getTimeMax

public double getTimeMax()
Returns the maximum time value.

Returns:
  maximum value for the time coordinate

### getSpectralMax

public double getSpectralMax()
Returns the maximum spectral value.

Returns:
  maximum value for the spectral coordinate

### isInside

public boolean isInside(Position pos)
Indicates whether a given position is within this bounding box.

Parameters:
  `pos` - position
Returns:
  true iff position is within or on the edge of this box

### toString

public String toString()

Overrides:
  `toString` in class `Object`